Bug 103800 - FILEOPEN PPTX: Dark red font opens as white in specific text box
Summary: FILEOPEN PPTX: Dark red font opens as white in specific text box
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.4.0 target:7.3.2
Keywords: filter:pptx, preBibisect, regression
Depends on:
Blocks: OOXML-Doc-Themes
  Show dependency treegraph
 
Reported: 2016-11-09 07:14 UTC by Ofir
Modified: 2022-10-29 23:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PPTX with red text (29.42 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2016-11-09 07:16 UTC, Ofir
Details
PDF exported from PowerPoint 2013 showing the expected result (81.18 KB, application/pdf)
2016-11-09 07:16 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2016-11-09 07:14:12 UTC
Description:
The attached PPTX has text with red font color. In impress the text has white color.

Steps to Reproduce:
1. Import the attached PPTX
2. Compare with the attached PDF exported from PowerPoint 2013

Actual Results:  
Text with white font color

Expected Results:
Text with red font color


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko
Comment 1 Ofir 2016-11-09 07:16:29 UTC
Created attachment 128598 [details]
PPTX with red text
Comment 2 Ofir 2016-11-09 07:16:59 UTC
Created attachment 128599 [details]
PDF exported from PowerPoint 2013 showing the expected result
Comment 3 Xisco Faulí 2016-11-09 09:24:15 UTC
Confirmed in

- Version: 5.3.0.0.alpha1+
Build ID: 8a2a3f1032b4e60f7607e3ecb1ff99a6bb9af7f9
CPU Threads: 4; OS Version: Linux 4.2; UI Render: GL; VCL: gtk2; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

but not in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Timur 2016-12-19 12:49:32 UTC
This starts at 3.5. That makes it notBibisectable, right?

If we copy this text box and change color to RGB 255,0,0 in MSO, it opens up correctly in LO.
If we create another text box with RGB 192,0,0 in MSO, it opens up correctly in LO.
If we copy this "test" text in MSO and just "Paste Source Formatting" there, text is white.
There's something I don't get here, maybe related to scheme color on this slide. 
How was this slide created?
Comment 5 Aron Budea 2017-10-31 19:25:31 UTC
Yes, nothing is displayed in the oldest commit of bibisect-43all.
Comment 6 Ofir 2018-09-28 03:27:47 UTC Comment hidden (obsolete)
Comment 7 Ofir 2019-05-24 21:46:36 UTC
Still reproducible in:

Version: 6.3.0.0.alpha1
Build ID: 547edd20e527fb02900f6174973770d26306e2e7
CPU threads: 1; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_IL); UI-Language: en-US
Comment 8 Aron Budea 2019-05-27 00:23:23 UTC
(In reply to Timur from comment #4)
> This starts at 3.5. That makes it notBibisectable, right?
Actually, the keyword should be preBibisect.
Comment 9 Justin L 2021-11-25 08:41:17 UTC
My guess is that the red color comes from 
<a:effectLst/>

which is probably defined by 
<a:lvl1pPr>
  <a:defRPr sz="5400" b="0">
    <a:solidFill>
      <a:srgbClr val="C00000"/>
    </a:solidFill>
Comment 10 Commit Notification 2022-02-28 14:39:50 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d6212e218d4d5c76c8bc60983b548a6893fc6a5

tdf#103800 PPTX shape import: fix regression of text color

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-03-01 13:09:31 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/366954ef0acce4952c4a8945e43a531dc20659fa

tdf#103800 PPTX shape import: fix regression of text color

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 NISZ LibreOffice Team 2022-03-10 10:03:27 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 6adabd915d931b845fcf2fef15fbf3fca14ec9b3
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: threaded